net.dontdrinkandroot.wicket.bootstrap.behavior

## Class ButtonBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - net.dontdrinkandroot.wicket.bootstrap.behavior.ButtonBehavior

All Implemented Interfaces:
  Serializable, IButton, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class ButtonBehavior
    extends org.apache.wicket.behavior.Behavior
    implements IButton

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ButtonBehavior()`
`ButtonBehavior(org.apache.wicket.model.IModel<ButtonStyle> buttonStyleModel, org.apache.wicket.model.IModel<ButtonSize> buttonSizeModel)`

### Method Summary

Methods
`void` `bind(org.apache.wicket.Component component)`
`ButtonSize` `getButtonSize()`
`protected org.apache.wicket.model.IModel<ButtonSize>` `getButtonSizeModel()`
`ButtonStyle` `getButtonStyle()`
`protected org.apache.wicket.model.IModel<ButtonStyle>` `getButtonStyleModel()`
`ButtonBehavior` `setButtonSize(ButtonSize buttonSize)`
`ButtonBehavior` `setButtonStyle(ButtonStyle buttonStyle)`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`afterRender, beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, onRemove, renderHead, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ButtonBehavior

    public ButtonBehavior()

#### ButtonBehavior

    public ButtonBehavior(org.apache.wicket.model.IModel<ButtonStyle> buttonStyleModel,
                  org.apache.wicket.model.IModel<ButtonSize> buttonSizeModel)

### Method Detail

#### bind

    public void bind(org.apache.wicket.Component component)

Overrides:
  `bind` in class `org.apache.wicket.behavior.Behavior`

#### getButtonSize

    public ButtonSize getButtonSize()

Specified by:
  `getButtonSize` in interface `IButton`

#### setButtonSize

    public ButtonBehavior setButtonSize(ButtonSize buttonSize)

Specified by:
  `setButtonSize` in interface `IButton`

#### getButtonStyle

    public ButtonStyle getButtonStyle()

Specified by:
  `getButtonStyle` in interface `IButton`

#### setButtonStyle

    public ButtonBehavior setButtonStyle(ButtonStyle buttonStyle)

Specified by:
  `setButtonStyle` in interface `IButton`

#### getButtonSizeModel

    protected org.apache.wicket.model.IModel<ButtonSize> getButtonSizeModel()

#### getButtonStyleModel

    protected org.apache.wicket.model.IModel<ButtonStyle> getButtonStyleModel()